seo:
  title: The industry is moving towards a single application for the DevOps lifecycle
  description: >-
    Today's acquisition of ElectricCloud is further validation of a shift
    towards DevOps consolidation.
  ogTitle: The industry is moving towards a single application for the DevOps lifecycle
  ogDescription: >-
    Today's acquisition of ElectricCloud is further validation of a shift
    towards DevOps consolidation.
  noIndex: false
  ogImage: images/blog/hero-images/gitlab-joins-cd-foundation.jpg
  ogUrl: >-
    https://about.gitlab.com/blog/industry-moving-to-single-application-for-devops
  ogSiteName: https://about.gitlab.com
  ogType: article
  canonicalUrls: >-
    https://about.gitlab.com/blog/industry-moving-to-single-application-for-devops
  schema: |2-

                            {
            "@context": "https://schema.org",
            "@type": "Article",
            "headline": "The industry is moving towards a single application for the DevOps lifecycle",
            "author": [{"@type":"Person","name":"GitLab"}],
            "datePublished": "2019-04-18",
          }

content:
  title: The industry is moving towards a single application for the DevOps lifecycle
  description: >-
    Today's acquisition of ElectricCloud is further validation of a shift
    towards DevOps consolidation.
  authors:
    - GitLab
  heroImage: images/blog/hero-images/gitlab-joins-cd-foundation.jpg
  date: '2019-04-18'
  body: >


    Today [CloudBees acquired
    ElectricCloud](https://www.cloudbees.com/press/cloudbees-acquires-market-leader-electric-cloud-creating-continuous-delivery-powerhouse)
    to strengthen their continuous delivery model.

    With this acquisition we’re seeing the industry move in the direction that
    GitLab set forth.

    We’ve seen Atlassian and GitHub follow our lead when we were the first to
    offer continuous

    integration as part of code-hosting, and today with the CloudBees
    announcement we are seeing

    a shift towards DevOps consolidation. Enterprises are demanding products
    that span a larger

    part of the DevOps lifecycle. This acquisition further validates GitLab's
    approach of a single,

    integrated application for developers.


    GitLab focuses on the entire DevOps lifecycle. From the initial stages of
    your application creation

    process to the delivery of the software to market, GitLab helps you every
    step of the way.

    In addition, instead of rearchitecting legacy software to be cloud native,
    GitLab was built to

    support cloud native deployments, helping enterprises embrace the cloud
    native way of developing software.


    With GitLab you get a single application built from the ground up to provide
    a seamless experience

    across every stage of the software development, delivery, and operations
    lifecycle.

    GitLab’s approach is to design components that fit, rather than taking
    separate tools that weren’t

    designed to work together and trying to integrate them. This approach
    ensures organizations

    can increase cycle times and take advantage of more collaborative workflows.


    ![GitLab's DevOps
    lifecycle](https://about.gitlab.com/images/blogimages/dev-ops-plan-to-monitor.png){:
    .medium.center}


    Watch how GitLab helps with everything from planning to monitoring here:


    <!-- blank line -->

    <figure class="video_container">
      <iframe src="https://www.youtube.com/embed/nMAgP4WIcno" frameborder="0" allowfullscreen="true"> </iframe>
    </figure>

    <!-- blank line -->


    *<small>Note: This demo covers up to GitLab 11.3 – we are now on GitLab 11.9
    and have shipped more features since this was recorded.</small>*


    We invite you to get started with GitLab to see how we can help move your
    software development

    process between developer and operations teams. We value your feedback and
    look forward to

    continuing to lead forward the industry.
  category: Company
  tags:
    - DevOps
    - news
config:
  slug: industry-moving-to-single-application-for-devops
  featured: false
  template: BlogPost
